function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = estimate.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(57, 88);
g1(1,17)=(-(y(21)*T(59)));
g1(1,20)=params(6)*getPowerDeriv(y(20),params(5),1);
g1(1,21)=(-T(15));
g1(2,17)=T(59);
g1(2,71)=(-(y(23)*T(60)/y(80)));
g1(2,23)=(-(T(16)/y(80)));
g1(2,80)=(-((-(T(16)*y(23)))/(y(80)*y(80))));
g1(3,17)=(-T(59));
g1(3,71)=T(60);
g1(3,56)=(-1)/(y(56)*y(56));
g1(4,1)=(-(y(18)*T(65)));
g1(4,18)=(-(T(18)+y(18)*T(68)));
g1(4,19)=(-(1-params(4)));
g1(4,73)=1;
g1(5,17)=(-(T(23)*T(21)*params(7)*T(16)*y(74)));
g1(5,71)=(-(T(23)*T(62)));
g1(5,1)=(-(y(22)*T(66)));
g1(5,18)=(-(y(22)*T(69)+T(23)*T(20)*T(70)+T(22)*T(72)));
g1(5,72)=(-(T(23)*T(20)*T(73)+T(22)*T(74)));
g1(5,22)=(-T(19));
g1(5,74)=(-(T(23)*T(76)));
g1(6,24)=1;
g1(6,25)=(-(T(24)*T(41)));
g1(6,5)=(-(T(24)*y(25)*T(78)));
g1(6,27)=(-(y(25)*T(41)*T(80)));
g1(7,25)=(-(T(24)*params(2)*T(42)));
g1(7,5)=(-(T(24)*y(25)*params(2)*T(79)));
g1(7,27)=(-(y(25)*params(2)*T(42)*T(80)));
g1(7,28)=1;
g1(8,25)=(-(T(25)*(1-params(2))*T(41)));
g1(8,5)=(-(T(25)*y(25)*(1-params(2))*T(78)));
g1(8,27)=(-(y(25)*(1-params(2))*T(41)*T(81)));
g1(8,29)=1;
g1(9,22)=(-(y(26)/y(34)));
g1(9,26)=(-(y(22)/y(34)));
g1(9,33)=1;
g1(9,34)=(-((-(y(22)*y(26)))/(y(34)*y(34))));
g1(10,2)=(-(y(51)*(-(y(28)+(1-params(4))*y(22)))/(y(2)*y(2))));
g1(10,22)=(-(y(51)*(1-params(4))/y(2)));
g1(10,28)=(-(y(51)*1/y(2)));
g1(10,30)=1;
g1(10,51)=(-((y(28)+(1-params(4))*y(22))/y(2)));
g1(11,30)=(y(31)+y(36))*y(8);
g1(11,6)=(-(y(8)-1));
g1(11,31)=y(30)*y(8);
g1(11,8)=y(30)*(y(31)+y(36))-y(6);
g1(11,36)=y(30)*y(8);
g1(12,75)=y(33)*(y(77)+T(5)-T(4)*params(12));
g1(12,76)=y(33)*y(75)*(1-T(3)+y(76)*(-(T(90)*T(92)))+T(95)-params(12)*T(95));
g1(12,32)=y(33)*y(75)*(T(105)-params(12)*T(94)*(T(103)-1));
g1(12,33)=(y(77)+T(5)-T(4)*params(12))*y(75)-y(62);
g1(12,77)=y(33)*y(75);
g1(12,62)=(-(y(33)-1));
g1(13,75)=(-(T(83)/(T(28)*T(28))));
g1(13,76)=((1-T(5))*(-(T(90)*T(92)))-(1-T(3))*(-(1-T(3)+y(76)*(-(T(90)*T(92)))+T(95))))/((1-T(5))*(1-T(5)))-(T(28)*T(26)*T(98)-T(27)*T(99))/(T(28)*T(28));
g1(13,32)=((1-T(5))*T(104)-(1-T(3))*(-T(105)))/((1-T(5))*(1-T(5)))-(T(28)*T(26)*T(108)-T(27)*(-(T(26)*(T(105)-params(12)*T(94)*(T(103)-1)))))/(T(28)*T(28));
g1(13,77)=(-((-(T(27)*(-T(26))))/(T(28)*T(28))));
g1(13,62)=(-((T(28)*T(144)-T(27)*T(145))/(T(28)*T(28))));
g1(14,23)=(-((-y(75))/(y(23)*y(23))));
g1(14,75)=(-(1/y(23)));
g1(14,35)=1;
g1(15,2)=(-(y(5)*y(30)*params(13)*(1-T(7)-y(36))/y(51)));
g1(15,5)=(-(y(2)*y(30)*params(13)*(1-T(7)-y(36))/y(51)));
g1(15,30)=(-(y(5)*y(2)*params(13)*(1-T(7)-y(36))/y(51)));
g1(15,31)=(-(y(5)*T(89)));
g1(15,7)=(-(y(5)*y(2)*T(102)/y(51)));
g1(15,34)=1;
g1(15,36)=(-(y(5)*y(2)*y(30)*(-params(13))/y(51)));
g1(15,51)=(-(y(5)*(-(y(2)*y(30)*params(13)*(1-T(7)-y(36))))/(y(51)*y(51))));
g1(15,57)=(-1);
g1(16,37)=1;
g1(16,38)=(-(T(29)*T(43)));
g1(16,11)=(-(T(29)*y(38)*T(109)));
g1(16,40)=(-(y(38)*T(43)*T(111)));
g1(17,38)=(-(T(29)*params(2)*T(44)));
g1(17,11)=(-(T(29)*params(2)*y(38)*T(110)));
g1(17,40)=(-(params(2)*y(38)*T(44)*T(111)));
g1(17,41)=1;
g1(18,38)=(-(T(30)*(1-params(2))*T(43)));
g1(18,11)=(-(T(30)*(1-params(2))*y(38)*T(109)));
g1(18,40)=(-((1-params(2))*y(38)*T(43)*T(112)));
g1(18,42)=1;
g1(19,22)=(-(y(39)/y(47)));
g1(19,39)=(-(y(22)/y(47)));
g1(19,46)=1;
g1(19,47)=(-((-(y(22)*y(39)))/(y(47)*y(47))));
g1(20,2)=(-(y(51)*(-((1-params(4))*y(22)+y(41)))/(y(2)*y(2))));
g1(20,22)=(-(y(51)*(1-params(4))/y(2)));
g1(20,41)=(-(y(51)*1/y(2)));
g1(20,43)=1;
g1(20,51)=(-(((1-params(4))*y(22)+y(41))/y(2)));
g1(21,43)=y(44)*y(14);
g1(21,12)=(-(y(14)-1));
g1(21,44)=y(43)*y(14);
g1(21,14)=y(44)*y(43)-y(12);
g1(22,78)=y(46)*(T(12)-params(12)*T(11));
g1(22,79)=y(46)*y(78)*(1-T(10)+y(79)*(-(T(120)*T(122)))+T(125)-params(12)*T(125));
g1(22,45)=y(46)*y(78)*(T(135)-params(12)*T(124)*(T(133)-1));
g1(22,46)=(T(12)-params(12)*T(11))*y(78)-y(62);
g1(22,62)=(-(y(46)-1));
g1(23,78)=(-(T(113)/(T(33)*T(33))));
g1(23,79)=((1-T(12))*(-(T(120)*T(122)))-(1-T(10))*(-(1-T(10)+y(79)*(-(T(120)*T(122)))+T(125))))/((1-T(12))*(1-T(12)))-(T(33)*T(31)*T(128)-T(32)*T(129))/(T(33)*T(33));
g1(23,45)=((1-T(12))*T(134)-(1-T(10))*(-T(135)))/((1-T(12))*(1-T(12)))-(T(33)*T(31)*T(138)-T(32)*(-(T(31)*(T(135)-params(12)*T(124)*(T(133)-1)))))/(T(33)*T(33));
g1(23,62)=(-((T(33)*T(147)-T(32)*T(148))/(T(33)*T(33))));
g1(24,23)=(-((-y(78))/(y(23)*y(23))));
g1(24,78)=(-(1/y(23)));
g1(24,48)=1;
g1(25,2)=(-(y(11)*y(43)*params(13)*(1-T(14))/y(51)));
g1(25,11)=(-(y(2)*y(43)*params(13)*(1-T(14))/y(51)));
g1(25,43)=(-(y(11)*y(2)*params(13)*(1-T(14))/y(51)));
g1(25,44)=(-(y(11)*T(119)));
g1(25,13)=(-(y(11)*y(2)*T(132)/y(51)));
g1(25,47)=1;
g1(25,51)=(-(y(11)*(-(y(2)*y(43)*params(13)*(1-T(14))))/(y(51)*y(51))));
g1(25,58)=(-1);
g1(26,51)=getPowerDeriv(y(51),1-params(14),1);
g1(26,52)=(-((1-params(15))*getPowerDeriv(y(52),1-params(14),1)));
g1(27,51)=(-T(34));
g1(27,52)=1;
g1(27,53)=(-(y(51)*T(141)));
g1(27,54)=(-(y(51)*T(142)));
g1(28,16)=(-(T(15)*y(55)));
g1(28,17)=(-(y(16)*y(55)*T(59)));
g1(28,80)=(-(y(81)*T(139)));
g1(28,53)=1;
g1(28,81)=(-T(35));
g1(28,55)=(-(T(15)*y(16)));
g1(29,16)=(-T(15));
g1(29,17)=(-(y(16)*T(59)));
g1(29,80)=(-(y(82)*T(140)));
g1(29,54)=1;
g1(29,82)=(-T(36));
g1(30,16)=(-(T(57)/T(58)));
g1(30,20)=(-((-(y(21)*T(75)))/T(58)));
g1(30,21)=(-(1/T(37)));
g1(30,55)=1;
g1(31,20)=(-1);
g1(31,27)=1;
g1(32,20)=(-1);
g1(32,40)=1;
g1(33,19)=1;
g1(33,5)=(-params(1));
g1(33,11)=(-(1-params(1)));
g1(34,16)=1;
g1(34,24)=(-params(1));
g1(34,37)=(-(1-params(1)));
g1(35,16)=(-y(50));
g1(35,49)=1;
g1(35,50)=(-y(16));
g1(36,16)=1;
g1(36,17)=(-1);
g1(36,18)=(-1);
g1(36,49)=(-1);
g1(37,4)=(-(params(20)*1/y(4)));
g1(37,25)=1/y(25);
g1(37,87)=(-1);
g1(38,10)=(-(params(21)*1/y(10)));
g1(38,38)=1/y(38);
g1(38,88)=(-1);
g1(39,7)=(-(params(22)*1/y(7)));
g1(39,32)=1/y(32);
g1(39,86)=(-1);
g1(40,13)=(-(params(23)*1/y(13)));
g1(40,45)=1/y(45);
g1(40,86)=(-1);
g1(41,9)=(-(params(24)*1/y(9)));
g1(41,36)=1/y(36);
g1(41,83)=(-1);
g1(42,15)=(-(params(25)*1/y(15)));
g1(42,50)=1/y(50);
g1(42,84)=(-1);
g1(43,16)=(-((1-params(26))*params(19)*1/(steady_state(1))/T(40)));
g1(43,3)=(-(params(26)*T(77)/T(39)));
g1(43,23)=T(77)/T(38);
g1(43,51)=(-((1-params(26))*params(18)*params(18)*1/y(51)));
g1(43,85)=(-1);
g1(44,57)=1;
g1(45,58)=1;
g1(46,59)=1;
g1(46,65)=(-params(1));
g1(46,66)=(-(1-params(1)));
g1(47,59)=(-((-y(61))/(y(59)*y(59))));
g1(47,60)=1;
g1(47,61)=(-(1/y(59)));
g1(48,61)=1;
g1(49,23)=(-1);
g1(49,62)=1;
g1(50,73)=(-(y(22)/y(64)));
g1(50,22)=(-(y(73)/y(64)));
g1(50,63)=1;
g1(50,64)=(-((-(y(73)*y(22)))/(y(64)*y(64))));
g1(51,34)=(-params(1));
g1(51,47)=(-(1-params(1)));
g1(51,64)=1;
g1(52,22)=(-y(26));
g1(52,26)=(-y(22));
g1(52,34)=1;
g1(52,65)=1;
g1(53,22)=(-y(39));
g1(53,39)=(-y(22));
g1(53,47)=1;
g1(53,66)=1;
g1(54,31)=(-(T(84)*T(86)));
g1(54,7)=(-(T(86)*T(100)));
g1(54,67)=1;
g1(55,44)=(-(T(114)*T(116)));
g1(55,13)=(-(T(116)*T(130)));
g1(55,68)=1;
g1(56,16)=(-(1/y(16)));
g1(56,69)=1;
g1(57,17)=(-T(15));
g1(57,70)=1;

end
