function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 148);

T = estimate.dynamic_resid_tt(T, y, x, params, steady_state, it_);

T(45) = log(y(31))+y(7)^2/2;
T(46) = T(45)/y(7);
T(47) = log(y(76))+y(32)^2/2;
T(48) = T(47)/y(32);
T(49) = 1/(y(76)*y(32));
T(50) = normpdf(T(48),0,1);
T(51) = log(y(44))+y(13)^2/2;
T(52) = T(51)/y(13);
T(53) = log(y(79))+y(45)^2/2;
T(54) = T(53)/y(45);
T(55) = 1/(y(79)*y(45));
T(56) = normpdf(T(54),0,1);
T(57) = (-(y(21)*(1-params(2))/y(20)));
T(58) = T(37)*T(37);
T(59) = (-1)/(y(17)*y(17));
T(60) = (-params(3))/(y(71)*y(71));
T(61) = params(7)*y(74)*(-(y(17)*params(3)))/(y(71)*y(71));
T(62) = T(21)*T(61);
T(63) = (-y(18))/(y(1)*y(1));
T(64) = 2*(y(18)/y(1)-1);
T(65) = (-(T(17)*T(63)*T(64)));
T(66) = T(65)-(y(1)*y(18)*params(7)*T(63)-y(18)*params(7)*(y(18)/y(1)-1))/(y(1)*y(1));
T(67) = 1/y(1);
T(68) = (-(T(17)*T(64)*T(67)));
T(69) = T(68)-(params(7)*(y(18)/y(1)-1)+y(18)*params(7)*T(67))/y(1);
T(70) = (-y(72))/(y(18)*y(18));
T(71) = 2*y(72)/y(18);
T(72) = T(70)*T(71);
T(73) = 1/y(18);
T(74) = T(71)*T(73);
T(75) = (-((1-params(2))*y(16)))/(y(20)*y(20));
T(76) = T(21)*params(7)*y(17)*params(3)/y(71);
T(77) = 1/(steady_state(8));
T(78) = getPowerDeriv(y(5),params(2),1);
T(79) = getPowerDeriv(y(5),params(2)-1,1);
T(80) = getPowerDeriv(y(27),1-params(2),1);
T(81) = getPowerDeriv(y(27),(-params(2)),1);
T(82) = 1/y(62);
T(83) = T(28)*(1-T(3)-y(76)*params(12)*T(6))*T(82)-T(27)*(-((y(77)+T(5)-T(4)*params(12))*T(82)));
T(84) = 1/y(31)/y(7);
T(85) = exp((-(T(46)*T(46)))/2);
T(86) = T(85)/2.506628274631;
T(87) = exp((-((T(46)-y(7))*(T(46)-y(7))))/2);
T(88) = T(87)/2.506628274631;
T(89) = y(2)*y(30)*params(13)*(-(1-T(1)+y(31)*(-(T(84)*T(86)))+T(84)*T(88)))/y(51);
T(90) = 1/y(76)/y(32);
T(91) = exp((-(T(48)*T(48)))/2);
T(92) = T(91)/2.506628274631;
T(93) = exp((-((T(48)-y(32))*(T(48)-y(32))))/2);
T(94) = T(93)/2.506628274631;
T(95) = T(90)*T(94);
T(96) = (-y(32))/(y(76)*y(32)*y(76)*y(32));
T(97) = T(50)*T(96)+T(49)*T(50)*T(48)*(-T(90));
T(98) = (-(T(90)*T(92)))-(params(12)*T(6)+y(76)*params(12)*T(97));
T(99) = (-(T(26)*(1-T(3)+y(76)*(-(T(90)*T(92)))+T(95)-params(12)*T(95))));
T(100) = (y(7)*y(7)-T(45))/(y(7)*y(7));
T(101) = params(13)*(-(y(31)*(-(T(86)*T(100)))+T(88)*(T(100)-1)));
T(102) = y(30)*T(101);
T(103) = (y(32)*y(32)-T(47))/(y(32)*y(32));
T(104) = (-(T(92)*T(103)));
T(105) = y(76)*T(104)+T(94)*(T(103)-1);
T(106) = (-y(76))/(y(76)*y(32)*y(76)*y(32));
T(107) = T(50)*T(106)+T(49)*T(50)*T(48)*(-T(103));
T(108) = T(104)-y(76)*params(12)*T(107);
T(109) = getPowerDeriv(y(11),params(2),1);
T(110) = getPowerDeriv(y(11),params(2)-1,1);
T(111) = getPowerDeriv(y(40),1-params(2),1);
T(112) = getPowerDeriv(y(40),(-params(2)),1);
T(113) = T(33)*(1-T(10)-params(12)*y(79)*T(13))*T(82)-T(32)*(-((T(12)-params(12)*T(11))*T(82)));
T(114) = 1/y(44)/y(13);
T(115) = exp((-(T(52)*T(52)))/2);
T(116) = T(115)/2.506628274631;
T(117) = exp((-((T(52)-y(13))*(T(52)-y(13))))/2);
T(118) = T(117)/2.506628274631;
T(119) = y(2)*y(43)*params(13)*(-(1-T(8)+y(44)*(-(T(114)*T(116)))+T(114)*T(118)))/y(51);
T(120) = 1/y(79)/y(45);
T(121) = exp((-(T(54)*T(54)))/2);
T(122) = T(121)/2.506628274631;
T(123) = exp((-((T(54)-y(45))*(T(54)-y(45))))/2);
T(124) = T(123)/2.506628274631;
T(125) = T(120)*T(124);
T(126) = (-y(45))/(y(79)*y(45)*y(79)*y(45));
T(127) = T(56)*T(126)+T(55)*T(56)*T(54)*(-T(120));
T(128) = (-(T(120)*T(122)))-(params(12)*T(13)+params(12)*y(79)*T(127));
T(129) = (-(T(31)*(1-T(10)+y(79)*(-(T(120)*T(122)))+T(125)-params(12)*T(125))));
T(130) = (y(13)*y(13)-T(51))/(y(13)*y(13));
T(131) = params(13)*(-(y(44)*(-(T(116)*T(130)))+T(118)*(T(130)-1)));
T(132) = y(43)*T(131);
T(133) = (y(45)*y(45)-T(53))/(y(45)*y(45));
T(134) = (-(T(122)*T(133)));
T(135) = y(79)*T(134)+T(124)*(T(133)-1);
T(136) = (-y(79))/(y(79)*y(45)*y(79)*y(45));
T(137) = T(56)*T(136)+T(55)*T(56)*T(54)*(-T(133));
T(138) = T(134)-params(12)*y(79)*T(137);
T(139) = params(3)*params(15)*getPowerDeriv(y(80),params(14),1);
T(140) = params(3)*params(15)*getPowerDeriv(y(80),params(14)-1,1);
T(141) = params(14)/(params(14)-1)/y(54);
T(142) = (-(params(14)/(params(14)-1)*y(53)))/(y(54)*y(54));
T(143) = (-y(75))/(y(62)*y(62));
T(144) = (1-T(3)-y(76)*params(12)*T(6))*T(143);
T(145) = (-((y(77)+T(5)-T(4)*params(12))*T(143)));
T(146) = (-y(78))/(y(62)*y(62));
T(147) = (1-T(10)-params(12)*y(79)*T(13))*T(146);
T(148) = (-((T(12)-params(12)*T(11))*T(146)));

end
