function T = dynamic_g2_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_g2_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 189);

T = estimate.dynamic_g1_tt(T, y, x, params, steady_state, it_);

T(149) = (y(17)+y(17))/(y(17)*y(17)*y(17)*y(17));
T(150) = (-(T(17)*(T(64)*(-((-y(18))*(y(1)+y(1))))/(y(1)*y(1)*y(1)*y(1))+T(63)*2*T(63))));
T(151) = getPowerDeriv(y(5),params(2),2);
T(152) = getPowerDeriv(y(27),1-params(2),2);
T(153) = (-1)/(y(76)*y(76))/y(32);
T(154) = (-(T(92)*T(153)+T(90)*T(91)*(-(T(48)*T(90)+T(48)*T(90)))/2/2.506628274631));
T(155) = T(94)*T(153)+T(90)*T(93)*(-((T(48)-y(32))*T(90)+(T(48)-y(32))*T(90)))/2/2.506628274631;
T(156) = (-(1/y(76)))/(y(32)*y(32));
T(157) = T(91)*(-(T(48)*T(103)+T(48)*T(103)))/2/2.506628274631;
T(158) = T(93)*(-((T(48)-y(32))*(T(103)-1)+(T(48)-y(32))*(T(103)-1)))/2/2.506628274631;
T(159) = T(94)*T(156)+T(90)*T(158);
T(160) = (y(32)*y(32)*y(32)-(y(32)*y(32)-T(47))*(y(32)+y(32)))/(y(32)*y(32)*y(32)*y(32));
T(161) = T(28)*T(28)*T(28)*T(28);
T(162) = T(28)*T(99)+T(28)*T(99);
T(163) = T(28)*(-(T(26)*(T(105)-params(12)*T(94)*(T(103)-1))))+T(28)*(-(T(26)*(T(105)-params(12)*T(94)*(T(103)-1))));
T(164) = (-1)/(y(62)*y(62));
T(165) = (-1)/(y(31)*y(31))/y(7);
T(166) = (-(T(86)*T(165)+T(84)*T(85)*(-(T(46)*T(84)+T(46)*T(84)))/2/2.506628274631));
T(167) = (-(1/y(31)))/(y(7)*y(7));
T(168) = T(85)*(-(T(46)*T(100)+T(46)*T(100)))/2/2.506628274631;
T(169) = T(87)*(-((T(46)-y(7))*(T(100)-1)+(T(46)-y(7))*(T(100)-1)))/2/2.506628274631;
T(170) = (y(7)*y(7)*y(7)-(y(7)*y(7)-T(45))*(y(7)+y(7)))/(y(7)*y(7)*y(7)*y(7));
T(171) = getPowerDeriv(y(11),params(2),2);
T(172) = getPowerDeriv(y(40),1-params(2),2);
T(173) = (-1)/(y(79)*y(79))/y(45);
T(174) = (-(T(122)*T(173)+T(120)*T(121)*(-(T(54)*T(120)+T(54)*T(120)))/2/2.506628274631));
T(175) = T(124)*T(173)+T(120)*T(123)*(-((T(54)-y(45))*T(120)+(T(54)-y(45))*T(120)))/2/2.506628274631;
T(176) = (-(1/y(79)))/(y(45)*y(45));
T(177) = T(121)*(-(T(54)*T(133)+T(54)*T(133)))/2/2.506628274631;
T(178) = T(123)*(-((T(54)-y(45))*(T(133)-1)+(T(54)-y(45))*(T(133)-1)))/2/2.506628274631;
T(179) = T(124)*T(176)+T(120)*T(178);
T(180) = (y(45)*y(45)*y(45)-(y(45)*y(45)-T(53))*(y(45)+y(45)))/(y(45)*y(45)*y(45)*y(45));
T(181) = T(33)*T(129)+T(33)*T(129);
T(182) = T(33)*(-(T(31)*(T(135)-params(12)*T(124)*(T(133)-1))))+T(33)*(-(T(31)*(T(135)-params(12)*T(124)*(T(133)-1))));
T(183) = (-1)/(y(44)*y(44))/y(13);
T(184) = (-(T(116)*T(183)+T(114)*T(115)*(-(T(52)*T(114)+T(52)*T(114)))/2/2.506628274631));
T(185) = (-(1/y(44)))/(y(13)*y(13));
T(186) = T(115)*(-(T(52)*T(130)+T(52)*T(130)))/2/2.506628274631;
T(187) = T(117)*(-((T(52)-y(13))*(T(130)-1)+(T(52)-y(13))*(T(130)-1)))/2/2.506628274631;
T(188) = (y(13)*y(13)*y(13)-(y(13)*y(13)-T(51))*(y(13)+y(13)))/(y(13)*y(13)*y(13)*y(13));
T(189) = T(37)*T(75)+T(37)*T(75);

end
