function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
% function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = estimate.dynamic_resid_tt(T, y, x, params, steady_state, it_);
end
residual = zeros(57, 1);
lhs = params(6)*y(20)^params(5);
rhs = T(15)*y(21);
residual(1) = lhs - rhs;
lhs = T(15);
rhs = T(16)*y(23)/y(80);
residual(2) = lhs - rhs;
lhs = 1/y(56);
rhs = T(15)-T(16);
residual(3) = lhs - rhs;
lhs = y(73);
rhs = y(18)*T(18)+(1-params(4))*y(19);
residual(4) = lhs - rhs;
lhs = 1;
rhs = y(22)*T(19)+T(22)*T(23);
residual(5) = lhs - rhs;
lhs = y(24);
rhs = T(24)*y(25)*T(41);
residual(6) = lhs - rhs;
lhs = y(28);
rhs = T(24)*y(25)*params(2)*T(42);
residual(7) = lhs - rhs;
lhs = y(29);
rhs = T(25)*y(25)*(1-params(2))*T(41);
residual(8) = lhs - rhs;
lhs = y(33);
rhs = y(22)*y(26)/y(34);
residual(9) = lhs - rhs;
lhs = y(30);
rhs = (y(28)+(1-params(4))*y(22))/y(2)*y(51);
residual(10) = lhs - rhs;
lhs = y(30)*(y(31)+y(36))*y(8);
rhs = y(6)*(y(8)-1);
residual(11) = lhs - rhs;
lhs = y(33)*(y(77)+T(5)-T(4)*params(12))*y(75);
rhs = y(62)*(y(33)-1);
residual(12) = lhs - rhs;
lhs = (1-T(3))/(1-T(5));
rhs = T(27)/T(28);
residual(13) = lhs - rhs;
lhs = y(35);
rhs = y(75)/y(23);
residual(14) = lhs - rhs;
lhs = y(34);
rhs = y(57)+y(2)*y(30)*params(13)*(1-T(7)-y(36))/y(51)*y(5);
residual(15) = lhs - rhs;
lhs = y(37);
rhs = T(29)*y(38)*T(43);
residual(16) = lhs - rhs;
lhs = y(41);
rhs = T(29)*params(2)*y(38)*T(44);
residual(17) = lhs - rhs;
lhs = y(42);
rhs = T(30)*(1-params(2))*y(38)*T(43);
residual(18) = lhs - rhs;
lhs = y(46);
rhs = y(22)*y(39)/y(47);
residual(19) = lhs - rhs;
lhs = y(43);
rhs = y(51)*((1-params(4))*y(22)+y(41))/y(2);
residual(20) = lhs - rhs;
lhs = y(44)*y(43)*y(14);
rhs = y(12)*(y(14)-1);
residual(21) = lhs - rhs;
lhs = y(46)*(T(12)-params(12)*T(11))*y(78);
rhs = y(62)*(y(46)-1);
residual(22) = lhs - rhs;
lhs = (1-T(10))/(1-T(12));
rhs = T(32)/T(33);
residual(23) = lhs - rhs;
lhs = y(48);
rhs = y(78)/y(23);
residual(24) = lhs - rhs;
lhs = y(47);
rhs = y(58)+y(2)*y(43)*params(13)*(1-T(14))/y(51)*y(11);
residual(25) = lhs - rhs;
lhs = y(51)^(1-params(14));
rhs = params(15)+(1-params(15))*y(52)^(1-params(14));
residual(26) = lhs - rhs;
lhs = y(52);
rhs = y(51)*T(34);
residual(27) = lhs - rhs;
lhs = y(53);
rhs = T(15)*y(55)*y(16)+T(35)*y(81);
residual(28) = lhs - rhs;
lhs = y(54);
rhs = T(15)*y(16)+T(36)*y(82);
residual(29) = lhs - rhs;
lhs = y(55);
rhs = y(21)/T(37);
residual(30) = lhs - rhs;
lhs = y(27);
rhs = y(20);
residual(31) = lhs - rhs;
lhs = y(40);
rhs = y(20);
residual(32) = lhs - rhs;
lhs = y(19);
rhs = params(1)*y(5)+(1-params(1))*y(11);
residual(33) = lhs - rhs;
lhs = y(16);
rhs = y(24)*params(1)+y(37)*(1-params(1));
residual(34) = lhs - rhs;
lhs = y(49);
rhs = y(16)*y(50);
residual(35) = lhs - rhs;
lhs = y(16);
rhs = y(49)+y(17)+y(18);
residual(36) = lhs - rhs;
lhs = log(y(25));
rhs = params(20)*log(y(4))+(1-params(20))*log((steady_state(10)))+x(it_, 5);
residual(37) = lhs - rhs;
lhs = log(y(38));
rhs = params(21)*log(y(10))+(1-params(21))*log((steady_state(24)))+x(it_, 6);
residual(38) = lhs - rhs;
lhs = log(y(32));
rhs = (1-params(22))*log(params(11))+params(22)*log(y(7))+x(it_, 4);
residual(39) = lhs - rhs;
lhs = log(y(45));
rhs = x(it_, 4)+log(params(11))*(1-params(23))+params(23)*log(y(13));
residual(40) = lhs - rhs;
lhs = log(y(36));
rhs = (1-params(24))*log(params(9))+params(24)*log(y(9))+x(it_, 1);
residual(41) = lhs - rhs;
lhs = log(y(50));
rhs = (1-params(25))*log(params(17))+params(25)*log(y(15))+x(it_, 2);
residual(42) = lhs - rhs;
lhs = log(T(38));
rhs = params(26)*log(T(39))+(1-params(26))*(params(18)*params(18)*log(y(51))+params(19)*log(T(40)))+x(it_, 3);
residual(43) = lhs - rhs;
lhs = y(57);
rhs = (steady_state(44));
residual(44) = lhs - rhs;
lhs = y(58);
rhs = (steady_state(45));
residual(45) = lhs - rhs;
lhs = y(59);
rhs = params(1)*y(65)+(1-params(1))*y(66);
residual(46) = lhs - rhs;
lhs = y(60);
rhs = y(61)/y(59);
residual(47) = lhs - rhs;
lhs = y(61);
rhs = (steady_state(48));
residual(48) = lhs - rhs;
lhs = y(62);
rhs = y(23);
residual(49) = lhs - rhs;
lhs = y(63);
rhs = y(73)*y(22)/y(64);
residual(50) = lhs - rhs;
lhs = y(64);
rhs = y(34)*params(1)+y(47)*(1-params(1));
residual(51) = lhs - rhs;
lhs = y(65);
rhs = y(22)*y(26)-y(34);
residual(52) = lhs - rhs;
lhs = y(66);
rhs = y(22)*y(39)-y(47);
residual(53) = lhs - rhs;
lhs = y(67);
rhs = T(1);
residual(54) = lhs - rhs;
lhs = y(68);
rhs = T(8);
residual(55) = lhs - rhs;
lhs = y(69);
rhs = log(y(16));
residual(56) = lhs - rhs;
lhs = y(70);
rhs = log(y(17));
residual(57) = lhs - rhs;

end
