function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 44);

T(1) = normcdf((log(y(31))+y(7)^2/2)/y(7),0,1);
T(2) = normcdf((log(y(31))+y(7)^2/2)/y(7)-y(7),0,1);
T(3) = normcdf((log(y(76))+y(32)^2/2)/y(32),0,1);
T(4) = normcdf((log(y(76))+y(32)^2/2)/y(32)-y(32),0,1);
T(5) = y(76)*(1-T(3))+T(4);
T(6) = 1/(y(76)*y(32))*normpdf((log(y(76))+y(32)^2/2)/y(32),0,1);
T(7) = y(31)*(1-T(1))+T(2);
T(8) = normcdf((log(y(44))+y(13)^2/2)/y(13),0,1);
T(9) = normcdf((log(y(44))+y(13)^2/2)/y(13)-y(13),0,1);
T(10) = normcdf((log(y(79))+y(45)^2/2)/y(45),0,1);
T(11) = normcdf((log(y(79))+y(45)^2/2)/y(45)-y(45),0,1);
T(12) = y(79)*(1-T(10))+T(11);
T(13) = 1/(y(79)*y(45))*normpdf((log(y(79))+y(45)^2/2)/y(45),0,1);
T(14) = y(44)*(1-T(8))+T(9);
T(15) = 1/y(17);
T(16) = params(3)/y(71);
T(17) = params(7)/2;
T(18) = 1-T(17)*(y(18)/y(1)-1)^2;
T(19) = T(18)-y(18)*params(7)*(y(18)/y(1)-1)/y(1);
T(20) = params(7)*y(17)*params(3)/y(71)*y(74);
T(21) = y(72)/y(18)-1;
T(22) = T(20)*T(21);
T(23) = (y(72)/y(18))^2;
T(24) = y(27)^(1-params(2));
T(25) = y(27)^(-params(2));
T(26) = y(75)/y(62);
T(27) = T(26)*(1-T(3)-y(76)*params(12)*T(6));
T(28) = 1-(y(77)+T(5)-T(4)*params(12))*T(26);
T(29) = y(40)^(1-params(2));
T(30) = y(40)^(-params(2));
T(31) = y(78)/y(62);
T(32) = T(31)*(1-T(10)-params(12)*y(79)*T(13));
T(33) = 1-(T(12)-params(12)*T(11))*T(31);
T(34) = params(14)/(params(14)-1)*y(53)/y(54);
T(35) = params(3)*params(15)*y(80)^params(14);
T(36) = params(3)*params(15)*y(80)^(params(14)-1);
T(37) = (1-params(2))*y(16)/y(20);
T(38) = y(23)/(steady_state(8));
T(39) = y(3)/(steady_state(8));
T(40) = y(16)/(steady_state(1));
T(41) = y(5)^params(2);
T(42) = y(5)^(params(2)-1);
T(43) = y(11)^params(2);
T(44) = y(11)^(params(2)-1);

end
