function T = static_resid_tt(T, y, x, params)
% function T = static_resid_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 33);

T(1) = normcdf((log(y(17))+y(18)^2/2)/y(18),0,1);
T(2) = normcdf((log(y(17))+y(18)^2/2)/y(18)-y(18),0,1);
T(3) = normcdf((log(y(17))+y(18)^2/2)/y(18),0,1);
T(4) = normcdf((log(y(17))+y(18)^2/2)/y(18)-y(18),0,1);
T(5) = normcdf((log(y(31))+y(32)^2/2)/y(32),0,1);
T(6) = normcdf((log(y(31))+y(32)^2/2)/y(32)-y(32),0,1);
T(7) = normcdf((log(y(31))+y(32)^2/2)/y(32),0,1);
T(8) = normcdf((log(y(31))+y(32)^2/2)/y(32)-y(32),0,1);
T(9) = y(17)*(1-T(3))+T(4);
T(10) = 1/(y(17)*y(18))*normpdf((log(y(17))+y(18)^2/2)/y(18),0,1);
T(11) = y(17)*(1-T(1))+T(2);
T(12) = y(31)*(1-T(7))+T(8);
T(13) = 1/(y(31)*y(32))*normpdf((log(y(31))+y(32)^2/2)/y(32),0,1);
T(14) = y(31)*(1-T(5))+T(6);
T(15) = 1/y(2);
T(16) = y(12)^(1-params(2));
T(17) = y(11)^params(2);
T(18) = y(11)^(params(2)-1);
T(19) = y(12)^(-params(2));
T(20) = y(15)/y(49);
T(21) = T(20)*(1-T(3)-y(17)*params(12)*T(10));
T(22) = 1-(y(22)+T(9)-T(4)*params(12))*T(20);
T(23) = y(26)^(1-params(2));
T(24) = y(25)^params(2);
T(25) = y(25)^(params(2)-1);
T(26) = y(26)^(-params(2));
T(27) = y(29)/y(49);
T(28) = T(27)*(1-T(7)-y(31)*params(12)*T(13));
T(29) = 1-(T(12)-T(8)*params(12))*T(27);
T(30) = params(14)/(params(14)-1)*y(40)/y(41);
T(31) = params(3)*params(15)*y(38)^params(14);
T(32) = params(3)*params(15)*y(38)^(params(14)-1);
T(33) = (1-params(2))*y(1)/y(5);

end
