function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = supply.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(60, 92);
g1(1,16)=(-((1-params(26))*params(19)*1/(steady_state(1))/(y(16)/(steady_state(1)))));
g1(1,22)=(-((1-params(26))*params(32)*1/y(22)));
g1(1,3)=(-(params(26)*1/(steady_state(8))/(y(3)/(steady_state(8)))));
g1(1,23)=1/(steady_state(8))/(y(23)/(steady_state(8)));
g1(1,53)=(-((1-params(26))*params(18)*params(18)*1/y(53)));
g1(1,61)=(-((1-params(26))*params(35)*1/(steady_state(46))/(y(61)/(steady_state(46)))));
g1(1,73)=(-((1-params(26))*params(33)*1/(steady_state(58))/(y(73)/(steady_state(58)))));
g1(1,74)=(-((1-params(26))*params(34)*1/(steady_state(59))/(y(74)/(steady_state(59)))));
g1(1,75)=(-((1-params(26))*params(36)*1/(steady_state(60))/(y(75)/(steady_state(60)))));
g1(1,90)=1;
g1(2,17)=(-(y(21)*T(52)));
g1(2,20)=params(6)*getPowerDeriv(y(20),params(5),1);
g1(2,21)=(-T(15));
g1(3,17)=T(52);
g1(3,76)=(-(y(23)*(-params(3))/(y(76)*y(76))/y(85)));
g1(3,23)=(-(T(16)/y(85)));
g1(3,85)=(-((-(y(23)*T(16)))/(y(85)*y(85))));
g1(4,17)=(-T(52));
g1(4,76)=(-params(3))/(y(76)*y(76));
g1(4,58)=(-1)/(y(58)*y(58));
g1(5,1)=(-(y(18)*T(53)));
g1(5,18)=(-(T(17)+y(18)*T(54)));
g1(5,19)=(-(1-params(4)));
g1(5,78)=1;
g1(6,17)=(-(T(22)*T(20)*params(7)*T(16)*y(79)));
g1(6,76)=(-(T(22)*T(20)*params(7)*y(79)*(-(y(17)*params(3)))/(y(76)*y(76))));
g1(6,1)=(-(y(22)*(T(53)-(y(1)*y(18)*params(7)*(-y(18))/(y(1)*y(1))-y(18)*params(7)*(y(18)/y(1)-1))/(y(1)*y(1)))));
g1(6,18)=(-(y(22)*(T(54)-(params(7)*(y(18)/y(1)-1)+y(18)*params(7)*1/y(1))/y(1))+T(22)*T(19)*(-y(77))/(y(18)*y(18))+T(21)*(-y(77))/(y(18)*y(18))*2*y(77)/y(18)));
g1(6,77)=(-(T(22)*T(19)*1/y(18)+T(21)*2*y(77)/y(18)*1/y(18)));
g1(6,22)=(-T(18));
g1(6,79)=(-(T(22)*T(20)*params(7)*y(17)*params(3)/y(76)));
g1(7,24)=1;
g1(7,25)=(-(T(23)*T(37)));
g1(7,5)=(-(T(23)*y(25)*T(55)));
g1(7,27)=(-(y(25)*T(37)*T(56)));
g1(8,25)=(-(T(23)*params(2)*T(38)));
g1(8,5)=(-(T(23)*y(25)*params(2)*getPowerDeriv(y(5),params(2)-1,1)));
g1(8,27)=(-(y(25)*params(2)*T(38)*T(56)));
g1(8,28)=1;
g1(9,25)=(-(T(24)*(1-params(2))*T(37)));
g1(9,5)=(-(T(24)*y(25)*(1-params(2))*T(55)));
g1(9,27)=(-(y(25)*(1-params(2))*T(37)*getPowerDeriv(y(27),(-params(2)),1)));
g1(9,29)=1;
g1(10,22)=(-(y(26)/y(35)));
g1(10,26)=(-(y(22)/y(35)));
g1(10,34)=1;
g1(10,35)=(-((-(y(22)*y(26)))/(y(35)*y(35))));
g1(11,2)=(-(y(53)*(-(y(28)+y(22)*(1-params(4))))/(y(2)*y(2))));
g1(11,22)=(-(y(53)*(1-params(4))/y(2)));
g1(11,28)=(-(y(53)*1/y(2)));
g1(11,30)=1;
g1(11,53)=(-((y(28)+y(22)*(1-params(4)))/y(2)));
g1(12,30)=(y(32)+y(37))*y(8);
g1(12,6)=(-(y(8)-1));
g1(12,32)=y(30)*y(8);
g1(12,8)=y(30)*(y(32)+y(37))-y(6);
g1(12,37)=y(30)*y(8);
g1(13,80)=y(34)*(y(82)+T(5)-T(4)*params(12));
g1(13,81)=y(34)*y(80)*(1-T(3)+y(81)*(-(T(62)*T(63)))+T(65)-params(12)*T(65));
g1(13,33)=y(34)*y(80)*(T(68)-params(12)*T(64)*(T(66)-1));
g1(13,34)=(y(82)+T(5)-T(4)*params(12))*y(80)-y(64);
g1(13,82)=y(34)*y(80);
g1(13,64)=(-(y(34)-1));
g1(14,80)=(-((T(27)*(1-T(3)-y(81)*params(12)*T(6))*T(57)-T(26)*(-((y(82)+T(5)-T(4)*params(12))*T(57))))/(T(27)*T(27))));
g1(14,81)=((1-T(5))*(-(T(62)*T(63)))-(1-T(3))*(-(1-T(3)+y(81)*(-(T(62)*T(63)))+T(65))))/((1-T(5))*(1-T(5)))-(T(27)*T(25)*((-(T(62)*T(63)))-(params(12)*T(6)+y(81)*params(12)*(T(45)*(-y(33))/(y(81)*y(33)*y(81)*y(33))+1/(y(81)*y(33))*T(45)*T(44)*(-T(62)))))-T(26)*(-(T(25)*(1-T(3)+y(81)*(-(T(62)*T(63)))+T(65)-params(12)*T(65)))))/(T(27)*T(27));
g1(14,33)=((1-T(5))*T(67)-(1-T(3))*(-T(68)))/((1-T(5))*(1-T(5)))-(T(27)*T(25)*(T(67)-y(81)*params(12)*(T(45)*(-y(81))/(y(81)*y(33)*y(81)*y(33))+1/(y(81)*y(33))*T(45)*T(44)*(-T(66))))-T(26)*(-(T(25)*(T(68)-params(12)*T(64)*(T(66)-1)))))/(T(27)*T(27));
g1(14,82)=(-((-(T(26)*(-T(25))))/(T(27)*T(27))));
g1(14,64)=(-((T(27)*(1-T(3)-y(81)*params(12)*T(6))*(-y(80))/(y(64)*y(64))-T(26)*(-((y(82)+T(5)-T(4)*params(12))*(-y(80))/(y(64)*y(64)))))/(T(27)*T(27))));
g1(15,23)=(-((-y(80))/(y(23)*y(23))));
g1(15,80)=T(58);
g1(15,36)=1;
g1(16,2)=(-(y(5)*y(30)*params(13)*(1-T(7)-y(37))/y(53)));
g1(16,5)=(-(y(2)*y(30)*params(13)*(1-T(7)-y(37))/y(53)));
g1(16,30)=(-(y(5)*y(2)*params(13)*(1-T(7)-y(37))/y(53)));
g1(16,32)=(-(y(5)*y(2)*y(30)*params(13)*(-(1-T(1)+y(32)*(-(T(59)*T(60)))+T(59)*T(61)))/y(53)));
g1(16,7)=(-(y(5)*y(2)*y(30)*params(13)*(-(y(32)*(-(T(60)*(y(7)*y(7)-T(41))/(y(7)*y(7))))+T(61)*((y(7)*y(7)-T(41))/(y(7)*y(7))-1)))/y(53)));
g1(16,35)=1;
g1(16,37)=(-(y(5)*y(2)*y(30)*(-params(13))/y(53)));
g1(16,53)=(-(y(5)*(-(y(2)*y(30)*params(13)*(1-T(7)-y(37))))/(y(53)*y(53))));
g1(16,59)=(-1);
g1(17,38)=1;
g1(17,39)=(-(T(28)*T(39)));
g1(17,11)=(-(T(28)*y(39)*T(69)));
g1(17,41)=(-(y(39)*T(39)*T(70)));
g1(18,39)=(-(T(28)*params(2)*T(40)));
g1(18,11)=(-(T(28)*params(2)*y(39)*getPowerDeriv(y(11),params(2)-1,1)));
g1(18,41)=(-(params(2)*y(39)*T(40)*T(70)));
g1(18,42)=1;
g1(19,39)=(-(T(29)*(1-params(2))*T(39)));
g1(19,11)=(-(T(29)*(1-params(2))*y(39)*T(69)));
g1(19,41)=(-((1-params(2))*y(39)*T(39)*getPowerDeriv(y(41),(-params(2)),1)));
g1(19,43)=1;
g1(20,22)=(-(y(40)/y(49)));
g1(20,40)=(-(y(22)/y(49)));
g1(20,48)=1;
g1(20,49)=(-((-(y(22)*y(40)))/(y(49)*y(49))));
g1(21,2)=(-(y(53)*(-(y(22)*(1-params(4))+y(42)))/(y(2)*y(2))));
g1(21,22)=(-(y(53)*(1-params(4))/y(2)));
g1(21,42)=(-(y(53)*1/y(2)));
g1(21,44)=1;
g1(21,53)=(-((y(22)*(1-params(4))+y(42))/y(2)));
g1(22,44)=y(46)*y(14);
g1(22,12)=(-(y(14)-1));
g1(22,46)=y(44)*y(14);
g1(22,14)=y(46)*y(44)-y(12);
g1(23,83)=y(48)*(T(12)-params(12)*T(11));
g1(23,84)=y(48)*y(83)*(1-T(10)+y(84)*(-(T(74)*T(75)))+T(77)-params(12)*T(77));
g1(23,47)=y(48)*y(83)*(T(80)-params(12)*T(76)*(T(78)-1));
g1(23,48)=(T(12)-params(12)*T(11))*y(83)-y(64);
g1(23,64)=(-(y(48)-1));
g1(24,83)=(-((T(32)*(1-T(10)-params(12)*y(84)*T(13))*T(57)-T(31)*(-((T(12)-params(12)*T(11))*T(57))))/(T(32)*T(32))));
g1(24,84)=((1-T(12))*(-(T(74)*T(75)))-(1-T(10))*(-(1-T(10)+y(84)*(-(T(74)*T(75)))+T(77))))/((1-T(12))*(1-T(12)))-(T(32)*T(30)*((-(T(74)*T(75)))-(params(12)*T(13)+params(12)*y(84)*(T(50)*(-y(47))/(y(84)*y(47)*y(84)*y(47))+1/(y(84)*y(47))*T(50)*T(49)*(-T(74)))))-T(31)*(-(T(30)*(1-T(10)+y(84)*(-(T(74)*T(75)))+T(77)-params(12)*T(77)))))/(T(32)*T(32));
g1(24,47)=((1-T(12))*T(79)-(1-T(10))*(-T(80)))/((1-T(12))*(1-T(12)))-(T(32)*T(30)*(T(79)-params(12)*y(84)*(T(50)*(-y(84))/(y(84)*y(47)*y(84)*y(47))+1/(y(84)*y(47))*T(50)*T(49)*(-T(78))))-T(31)*(-(T(30)*(T(80)-params(12)*T(76)*(T(78)-1)))))/(T(32)*T(32));
g1(24,64)=(-((T(32)*(1-T(10)-params(12)*y(84)*T(13))*(-y(83))/(y(64)*y(64))-T(31)*(-((T(12)-params(12)*T(11))*(-y(83))/(y(64)*y(64)))))/(T(32)*T(32))));
g1(25,23)=(-((-y(83))/(y(23)*y(23))));
g1(25,83)=T(58);
g1(25,50)=1;
g1(26,2)=(-(y(11)*y(44)*params(13)*(1-T(14))/y(53)));
g1(26,11)=(-(y(2)*y(44)*params(13)*(1-T(14))/y(53)));
g1(26,44)=(-(y(11)*y(2)*params(13)*(1-T(14))/y(53)));
g1(26,46)=(-(y(11)*y(2)*y(44)*params(13)*(-(1-T(8)+y(46)*(-(T(71)*T(72)))+T(71)*T(73)))/y(53)));
g1(26,13)=(-(y(11)*y(2)*y(44)*params(13)*(-(y(46)*(-(T(72)*(y(13)*y(13)-T(46))/(y(13)*y(13))))+T(73)*((y(13)*y(13)-T(46))/(y(13)*y(13))-1)))/y(53)));
g1(26,49)=1;
g1(26,53)=(-(y(11)*(-(y(2)*y(44)*params(13)*(1-T(14))))/(y(53)*y(53))));
g1(26,60)=(-1);
g1(27,53)=getPowerDeriv(y(53),1-params(14),1);
g1(27,54)=(-((1-params(15))*getPowerDeriv(y(54),1-params(14),1)));
g1(28,53)=(-T(33));
g1(28,54)=1;
g1(28,55)=(-(y(53)*params(14)/(params(14)-1)/y(56)));
g1(28,56)=(-(y(53)*(-(params(14)/(params(14)-1)*y(55)))/(y(56)*y(56))));
g1(29,16)=(-(T(15)*y(57)));
g1(29,17)=(-(y(16)*y(57)*T(52)));
g1(29,85)=(-(y(86)*params(3)*params(15)*getPowerDeriv(y(85),params(14),1)));
g1(29,55)=1;
g1(29,86)=(-T(34));
g1(29,57)=(-(y(16)*T(15)));
g1(30,16)=(-T(15));
g1(30,17)=(-(y(16)*T(52)));
g1(30,85)=(-(y(87)*params(3)*params(15)*getPowerDeriv(y(85),params(14)-1,1)));
g1(30,56)=1;
g1(30,87)=(-T(35));
g1(31,16)=(-((-(y(21)*(1-params(2))/y(20)))/T(51)));
g1(31,20)=(-((-(y(21)*(-(y(16)*(1-params(2))))/(y(20)*y(20))))/T(51)));
g1(31,21)=(-(1/T(36)));
g1(31,57)=1;
g1(32,20)=(-1);
g1(32,27)=1;
g1(33,20)=(-1);
g1(33,41)=1;
g1(34,19)=1;
g1(34,5)=(-params(1));
g1(34,11)=(-(1-params(1)));
g1(35,16)=1;
g1(35,24)=(-params(1));
g1(35,38)=(-(1-params(1)));
g1(36,16)=(-y(52));
g1(36,51)=1;
g1(36,52)=(-y(16));
g1(37,16)=1;
g1(37,17)=(-1);
g1(37,18)=(-1);
g1(37,51)=(-1);
g1(38,4)=(-(params(20)*1/y(4)));
g1(38,25)=1/y(25);
g1(38,92)=(-1);
g1(39,10)=(-(params(21)*1/y(10)));
g1(39,39)=1/y(39);
g1(39,92)=(-1);
g1(40,7)=(-(params(22)*1/y(7)));
g1(40,33)=1/y(33);
g1(40,91)=(-1);
g1(41,13)=(-(params(23)*1/y(13)));
g1(41,47)=1/y(47);
g1(41,91)=(-1);
g1(42,9)=(-(params(24)*1/y(9)));
g1(42,37)=1/y(37);
g1(42,88)=1;
g1(43,15)=(-(params(25)*1/y(15)));
g1(43,52)=1/y(52);
g1(43,89)=(-1);
g1(44,59)=1;
g1(45,60)=1;
g1(46,61)=1;
g1(46,67)=(-params(1));
g1(46,68)=(-(1-params(1)));
g1(47,61)=(-((-y(63))/(y(61)*y(61))));
g1(47,62)=1;
g1(47,63)=(-(1/y(61)));
g1(48,63)=1;
g1(49,23)=(-1);
g1(49,64)=1;
g1(50,78)=(-(y(22)/y(66)));
g1(50,22)=(-(y(78)/y(66)));
g1(50,65)=1;
g1(50,66)=(-((-(y(22)*y(78)))/(y(66)*y(66))));
g1(51,35)=(-params(1));
g1(51,49)=(-(1-params(1)));
g1(51,66)=1;
g1(52,22)=(-y(26));
g1(52,26)=(-y(22));
g1(52,35)=1;
g1(52,67)=1;
g1(53,22)=(-y(40));
g1(53,40)=(-y(22));
g1(53,49)=1;
g1(53,68)=1;
g1(54,32)=(-(T(59)*T(60)));
g1(54,7)=(-(T(60)*(y(7)*y(7)-T(41))/(y(7)*y(7))));
g1(54,69)=1;
g1(55,46)=(-(T(71)*T(72)));
g1(55,13)=(-(T(72)*(y(13)*y(13)-T(46))/(y(13)*y(13))));
g1(55,70)=1;
g1(56,23)=(-((-y(31))/(y(23)*y(23))));
g1(56,31)=T(58);
g1(56,71)=1;
g1(57,23)=(-((-y(45))/(y(23)*y(23))));
g1(57,45)=T(58);
g1(57,72)=1;
g1(58,71)=(-params(1));
g1(58,72)=(-(1-params(1)));
g1(58,73)=1;
g1(59,62)=(-((-1)/(y(62)*y(62))));
g1(59,74)=1;
g1(60,36)=(-params(1));
g1(60,50)=(-(1-params(1)));
g1(60,75)=1;

end
