function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 80);

T = supply.dynamic_resid_tt(T, y, x, params, steady_state, it_);

T(41) = log(y(32))+y(7)^2/2;
T(42) = T(41)/y(7);
T(43) = log(y(81))+y(33)^2/2;
T(44) = T(43)/y(33);
T(45) = normpdf(T(44),0,1);
T(46) = log(y(46))+y(13)^2/2;
T(47) = T(46)/y(13);
T(48) = log(y(84))+y(47)^2/2;
T(49) = T(48)/y(47);
T(50) = normpdf(T(49),0,1);
T(51) = T(36)*T(36);
T(52) = (-1)/(y(17)*y(17));
T(53) = (-(params(7)/2*(-y(18))/(y(1)*y(1))*2*(y(18)/y(1)-1)));
T(54) = (-(params(7)/2*2*(y(18)/y(1)-1)*1/y(1)));
T(55) = getPowerDeriv(y(5),params(2),1);
T(56) = getPowerDeriv(y(27),1-params(2),1);
T(57) = 1/y(64);
T(58) = (-(1/y(23)));
T(59) = 1/y(32)/y(7);
T(60) = exp((-(T(42)*T(42)))/2)/2.506628274631;
T(61) = exp((-((T(42)-y(7))*(T(42)-y(7))))/2)/2.506628274631;
T(62) = 1/y(81)/y(33);
T(63) = exp((-(T(44)*T(44)))/2)/2.506628274631;
T(64) = exp((-((T(44)-y(33))*(T(44)-y(33))))/2)/2.506628274631;
T(65) = T(62)*T(64);
T(66) = (y(33)*y(33)-T(43))/(y(33)*y(33));
T(67) = (-(T(63)*T(66)));
T(68) = y(81)*T(67)+T(64)*(T(66)-1);
T(69) = getPowerDeriv(y(11),params(2),1);
T(70) = getPowerDeriv(y(41),1-params(2),1);
T(71) = 1/y(46)/y(13);
T(72) = exp((-(T(47)*T(47)))/2)/2.506628274631;
T(73) = exp((-((T(47)-y(13))*(T(47)-y(13))))/2)/2.506628274631;
T(74) = 1/y(84)/y(47);
T(75) = exp((-(T(49)*T(49)))/2)/2.506628274631;
T(76) = exp((-((T(49)-y(47))*(T(49)-y(47))))/2)/2.506628274631;
T(77) = T(74)*T(76);
T(78) = (y(47)*y(47)-T(48))/(y(47)*y(47));
T(79) = (-(T(75)*T(78)));
T(80) = y(84)*T(79)+T(76)*(T(78)-1);

end
