function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
% function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = supply.dynamic_resid_tt(T, y, x, params, steady_state, it_);
end
residual = zeros(60, 1);
lhs = log(y(23)/(steady_state(8)));
rhs = params(26)*log(y(3)/(steady_state(8)))+(1-params(26))*(params(18)*params(18)*log(y(53))+params(19)*log(y(16)/(steady_state(1)))+params(32)*log(y(22))+params(33)*log(y(73)/(steady_state(58)))+params(34)*log(y(74)/(steady_state(59)))+params(35)*log(y(61)/(steady_state(46)))+params(36)*log(y(75)/(steady_state(60))))-x(it_, 3);
residual(1) = lhs - rhs;
lhs = params(6)*y(20)^params(5);
rhs = T(15)*y(21);
residual(2) = lhs - rhs;
lhs = T(15);
rhs = y(23)*T(16)/y(85);
residual(3) = lhs - rhs;
lhs = 1/y(58);
rhs = T(15)-T(16);
residual(4) = lhs - rhs;
lhs = y(78);
rhs = y(18)*T(17)+(1-params(4))*y(19);
residual(5) = lhs - rhs;
lhs = 1;
rhs = y(22)*T(18)+T(21)*T(22);
residual(6) = lhs - rhs;
lhs = y(24);
rhs = T(23)*y(25)*T(37);
residual(7) = lhs - rhs;
lhs = y(28);
rhs = T(23)*y(25)*params(2)*T(38);
residual(8) = lhs - rhs;
lhs = y(29);
rhs = T(24)*y(25)*(1-params(2))*T(37);
residual(9) = lhs - rhs;
lhs = y(34);
rhs = y(22)*y(26)/y(35);
residual(10) = lhs - rhs;
lhs = y(30);
rhs = y(53)*(y(28)+y(22)*(1-params(4)))/y(2);
residual(11) = lhs - rhs;
lhs = y(30)*(y(32)+y(37))*y(8);
rhs = y(6)*(y(8)-1);
residual(12) = lhs - rhs;
lhs = y(34)*(y(82)+T(5)-T(4)*params(12))*y(80);
rhs = y(64)*(y(34)-1);
residual(13) = lhs - rhs;
lhs = (1-T(3))/(1-T(5));
rhs = T(26)/T(27);
residual(14) = lhs - rhs;
lhs = y(36);
rhs = y(80)/y(23);
residual(15) = lhs - rhs;
lhs = y(35);
rhs = y(59)+y(2)*y(30)*params(13)*(1-T(7)-y(37))/y(53)*y(5);
residual(16) = lhs - rhs;
lhs = y(38);
rhs = T(28)*y(39)*T(39);
residual(17) = lhs - rhs;
lhs = y(42);
rhs = T(28)*params(2)*y(39)*T(40);
residual(18) = lhs - rhs;
lhs = y(43);
rhs = T(29)*(1-params(2))*y(39)*T(39);
residual(19) = lhs - rhs;
lhs = y(48);
rhs = y(22)*y(40)/y(49);
residual(20) = lhs - rhs;
lhs = y(44);
rhs = y(53)*(y(22)*(1-params(4))+y(42))/y(2);
residual(21) = lhs - rhs;
lhs = y(46)*y(44)*y(14);
rhs = y(12)*(y(14)-1);
residual(22) = lhs - rhs;
lhs = y(48)*(T(12)-params(12)*T(11))*y(83);
rhs = y(64)*(y(48)-1);
residual(23) = lhs - rhs;
lhs = (1-T(10))/(1-T(12));
rhs = T(31)/T(32);
residual(24) = lhs - rhs;
lhs = y(50);
rhs = y(83)/y(23);
residual(25) = lhs - rhs;
lhs = y(49);
rhs = y(60)+y(2)*y(44)*params(13)*(1-T(14))/y(53)*y(11);
residual(26) = lhs - rhs;
lhs = y(53)^(1-params(14));
rhs = params(15)+(1-params(15))*y(54)^(1-params(14));
residual(27) = lhs - rhs;
lhs = y(54);
rhs = y(53)*T(33);
residual(28) = lhs - rhs;
lhs = y(55);
rhs = y(16)*T(15)*y(57)+T(34)*y(86);
residual(29) = lhs - rhs;
lhs = y(56);
rhs = y(16)*T(15)+T(35)*y(87);
residual(30) = lhs - rhs;
lhs = y(57);
rhs = y(21)/T(36);
residual(31) = lhs - rhs;
lhs = y(27);
rhs = y(20);
residual(32) = lhs - rhs;
lhs = y(41);
rhs = y(20);
residual(33) = lhs - rhs;
lhs = y(19);
rhs = params(1)*y(5)+(1-params(1))*y(11);
residual(34) = lhs - rhs;
lhs = y(16);
rhs = y(24)*params(1)+y(38)*(1-params(1));
residual(35) = lhs - rhs;
lhs = y(51);
rhs = y(16)*y(52);
residual(36) = lhs - rhs;
lhs = y(16);
rhs = y(51)+y(17)+y(18);
residual(37) = lhs - rhs;
lhs = log(y(25));
rhs = params(20)*log(y(4))+(1-params(20))*log((steady_state(10)))+x(it_, 5);
residual(38) = lhs - rhs;
lhs = log(y(39));
rhs = x(it_, 5)+params(21)*log(y(10))+(1-params(21))*log((steady_state(24)));
residual(39) = lhs - rhs;
lhs = log(y(33));
rhs = (1-params(22))*log(params(11))+params(22)*log(y(7))+x(it_, 4);
residual(40) = lhs - rhs;
lhs = log(y(47));
rhs = x(it_, 4)+log(params(11))*(1-params(23))+params(23)*log(y(13));
residual(41) = lhs - rhs;
lhs = log(y(37));
rhs = (1-params(24))*log(params(9))+params(24)*log(y(9))-x(it_, 1);
residual(42) = lhs - rhs;
lhs = log(y(52));
rhs = (1-params(25))*log(params(17))+params(25)*log(y(15))+x(it_, 2);
residual(43) = lhs - rhs;
lhs = y(59);
rhs = (steady_state(44));
residual(44) = lhs - rhs;
lhs = y(60);
rhs = (steady_state(45));
residual(45) = lhs - rhs;
lhs = y(61);
rhs = params(1)*y(67)+(1-params(1))*y(68);
residual(46) = lhs - rhs;
lhs = y(62);
rhs = y(63)/y(61);
residual(47) = lhs - rhs;
lhs = y(63);
rhs = (steady_state(48));
residual(48) = lhs - rhs;
lhs = y(64);
rhs = y(23)+0.005;
residual(49) = lhs - rhs;
lhs = y(65);
rhs = y(22)*y(78)/y(66);
residual(50) = lhs - rhs;
lhs = y(66);
rhs = y(35)*params(1)+y(49)*(1-params(1));
residual(51) = lhs - rhs;
lhs = y(67);
rhs = y(22)*y(26)-y(35);
residual(52) = lhs - rhs;
lhs = y(68);
rhs = y(22)*y(40)-y(49);
residual(53) = lhs - rhs;
lhs = y(69);
rhs = T(1);
residual(54) = lhs - rhs;
lhs = y(70);
rhs = T(8);
residual(55) = lhs - rhs;
lhs = y(71);
rhs = y(31)/y(23);
residual(56) = lhs - rhs;
lhs = y(72);
rhs = y(45)/y(23);
residual(57) = lhs - rhs;
lhs = y(73);
rhs = params(1)*y(71)+(1-params(1))*y(72);
residual(58) = lhs - rhs;
lhs = y(74);
rhs = 1/y(62);
residual(59) = lhs - rhs;
lhs = y(75);
rhs = y(36)*params(1)+y(50)*(1-params(1));
residual(60) = lhs - rhs;

end
