function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 40);

T(1) = normcdf((log(y(32))+y(7)^2/2)/y(7),0,1);
T(2) = normcdf((log(y(32))+y(7)^2/2)/y(7)-y(7),0,1);
T(3) = normcdf((log(y(81))+y(33)^2/2)/y(33),0,1);
T(4) = normcdf((log(y(81))+y(33)^2/2)/y(33)-y(33),0,1);
T(5) = y(81)*(1-T(3))+T(4);
T(6) = 1/(y(81)*y(33))*normpdf((log(y(81))+y(33)^2/2)/y(33),0,1);
T(7) = y(32)*(1-T(1))+T(2);
T(8) = normcdf((log(y(46))+y(13)^2/2)/y(13),0,1);
T(9) = normcdf((log(y(46))+y(13)^2/2)/y(13)-y(13),0,1);
T(10) = normcdf((log(y(84))+y(47)^2/2)/y(47),0,1);
T(11) = normcdf((log(y(84))+y(47)^2/2)/y(47)-y(47),0,1);
T(12) = y(84)*(1-T(10))+T(11);
T(13) = 1/(y(84)*y(47))*normpdf((log(y(84))+y(47)^2/2)/y(47),0,1);
T(14) = y(46)*(1-T(8))+T(9);
T(15) = 1/y(17);
T(16) = params(3)/y(76);
T(17) = 1-params(7)/2*(y(18)/y(1)-1)^2;
T(18) = T(17)-y(18)*params(7)*(y(18)/y(1)-1)/y(1);
T(19) = params(7)*y(17)*params(3)/y(76)*y(79);
T(20) = y(77)/y(18)-1;
T(21) = T(19)*T(20);
T(22) = (y(77)/y(18))^2;
T(23) = y(27)^(1-params(2));
T(24) = y(27)^(-params(2));
T(25) = y(80)/y(64);
T(26) = T(25)*(1-T(3)-y(81)*params(12)*T(6));
T(27) = 1-(y(82)+T(5)-T(4)*params(12))*T(25);
T(28) = y(41)^(1-params(2));
T(29) = y(41)^(-params(2));
T(30) = y(83)/y(64);
T(31) = T(30)*(1-T(10)-params(12)*y(84)*T(13));
T(32) = 1-(T(12)-params(12)*T(11))*T(30);
T(33) = params(14)/(params(14)-1)*y(55)/y(56);
T(34) = params(3)*params(15)*y(85)^params(14);
T(35) = params(3)*params(15)*y(85)^(params(14)-1);
T(36) = y(16)*(1-params(2))/y(20);
T(37) = y(5)^params(2);
T(38) = y(5)^(params(2)-1);
T(39) = y(11)^params(2);
T(40) = y(11)^(params(2)-1);

end
