function residual = static_resid(T, y, x, params, T_flag)
% function residual = static_resid(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = supply.static_resid_tt(T, y, x, params);
end
residual = zeros(60, 1);
lhs = log(y(8)/(y(8)));
rhs = log(y(8)/(y(8)))*params(26)+(1-params(26))*(params(18)*params(18)*log(y(38))+params(19)*log(y(1)/(y(1)))+params(32)*log(y(7))+params(33)*log(y(58)/(y(58)))+params(34)*log(y(59)/(y(59)))+params(35)*log(y(46)/(y(46)))+params(36)*log(y(60)/(y(60))))-x(3);
residual(1) = lhs - rhs;
lhs = params(6)*y(5)^params(5);
rhs = T(15)*y(6);
residual(2) = lhs - rhs;
lhs = T(15);
rhs = y(8)*params(3)/y(2)/y(38);
residual(3) = lhs - rhs;
lhs = 1/y(43);
rhs = T(15)-params(3)/y(2);
residual(4) = lhs - rhs;
lhs = y(4);
rhs = y(3)+y(4)*(1-params(4));
residual(5) = lhs - rhs;
lhs = 1;
rhs = y(7);
residual(6) = lhs - rhs;
lhs = y(9);
rhs = T(16)*y(10)*T(17);
residual(7) = lhs - rhs;
lhs = y(13);
rhs = T(16)*params(2)*y(10)*T(18);
residual(8) = lhs - rhs;
lhs = y(14);
rhs = T(19)*T(17)*(1-params(2))*y(10);
residual(9) = lhs - rhs;
lhs = y(19);
rhs = y(7)*y(11)/y(20);
residual(10) = lhs - rhs;
lhs = y(15);
rhs = y(38)*(y(13)+y(7)*(1-params(4)))/y(7);
residual(11) = lhs - rhs;
lhs = y(19)*y(15)*(y(17)+y(22));
rhs = y(16)*(y(19)-1);
residual(12) = lhs - rhs;
lhs = y(19)*y(15)*(y(22)+T(9)-T(4)*params(12));
rhs = (y(19)-1)*y(49);
residual(13) = lhs - rhs;
lhs = (1-T(3))/(1-T(9));
rhs = T(21)/T(22);
residual(14) = lhs - rhs;
lhs = y(21);
rhs = y(15)/y(8);
residual(15) = lhs - rhs;
lhs = y(20);
rhs = y(44)+y(11)*y(7)*y(15)*params(13)*(1-T(11)-y(22))/y(38);
residual(16) = lhs - rhs;
lhs = y(23);
rhs = T(23)*y(24)*T(24);
residual(17) = lhs - rhs;
lhs = y(27);
rhs = T(23)*params(2)*y(24)*T(25);
residual(18) = lhs - rhs;
lhs = y(28);
rhs = T(26)*T(24)*(1-params(2))*y(24);
residual(19) = lhs - rhs;
lhs = y(33);
rhs = y(7)*y(25)/y(34);
residual(20) = lhs - rhs;
lhs = y(29);
rhs = y(38)*(y(7)*(1-params(4))+y(27))/y(7);
residual(21) = lhs - rhs;
lhs = y(33)*y(31)*y(29);
rhs = y(30)*(y(33)-1);
residual(22) = lhs - rhs;
lhs = y(33)*y(29)*(T(12)-T(8)*params(12));
rhs = y(49)*(y(33)-1);
residual(23) = lhs - rhs;
lhs = (1-T(7))/(1-T(12));
rhs = T(28)/T(29);
residual(24) = lhs - rhs;
lhs = y(35);
rhs = y(29)/y(8);
residual(25) = lhs - rhs;
lhs = y(34);
rhs = y(45)+y(25)*y(7)*y(29)*params(13)*(1-T(14))/y(38);
residual(26) = lhs - rhs;
lhs = y(38)^(1-params(14));
rhs = params(15)+(1-params(15))*y(39)^(1-params(14));
residual(27) = lhs - rhs;
lhs = y(39);
rhs = y(38)*T(30);
residual(28) = lhs - rhs;
lhs = y(40);
rhs = y(1)*T(15)*y(42)+y(40)*T(31);
residual(29) = lhs - rhs;
lhs = y(41);
rhs = y(1)*T(15)+y(41)*T(32);
residual(30) = lhs - rhs;
lhs = y(42);
rhs = y(6)/T(33);
residual(31) = lhs - rhs;
lhs = y(12);
rhs = y(5);
residual(32) = lhs - rhs;
lhs = y(26);
rhs = y(5);
residual(33) = lhs - rhs;
lhs = y(4);
rhs = y(11)*params(1)+y(25)*(1-params(1));
residual(34) = lhs - rhs;
lhs = y(1);
rhs = y(9)*params(1)+y(23)*(1-params(1));
residual(35) = lhs - rhs;
lhs = y(36);
rhs = y(1)*y(37);
residual(36) = lhs - rhs;
lhs = y(1);
rhs = y(36)+y(2)+y(3);
residual(37) = lhs - rhs;
lhs = log(y(10));
rhs = log(y(10))*params(20)+(1-params(20))*log((y(10)))+x(5);
residual(38) = lhs - rhs;
lhs = log(y(24));
rhs = x(5)+log(y(24))*params(21)+(1-params(21))*log((y(24)));
residual(39) = lhs - rhs;
lhs = log(y(18));
rhs = (1-params(22))*log(params(11))+log(y(18))*params(22)+x(4);
residual(40) = lhs - rhs;
lhs = log(y(32));
rhs = x(4)+log(params(11))*(1-params(23))+log(y(32))*params(23);
residual(41) = lhs - rhs;
lhs = log(y(22));
rhs = (1-params(24))*log(params(9))+log(y(22))*params(24)-x(1);
residual(42) = lhs - rhs;
lhs = log(y(37));
rhs = (1-params(25))*log(params(17))+log(y(37))*params(25)+x(2);
residual(43) = lhs - rhs;
lhs = y(44);
rhs = (y(44));
residual(44) = lhs - rhs;
lhs = y(45);
rhs = (y(45));
residual(45) = lhs - rhs;
lhs = y(46);
rhs = params(1)*y(52)+(1-params(1))*y(53);
residual(46) = lhs - rhs;
lhs = y(47);
rhs = y(48)/y(46);
residual(47) = lhs - rhs;
lhs = y(48);
rhs = (y(48));
residual(48) = lhs - rhs;
lhs = y(49);
rhs = y(8)+0.005;
residual(49) = lhs - rhs;
lhs = y(50);
rhs = y(7)*y(4)/y(51);
residual(50) = lhs - rhs;
lhs = y(51);
rhs = y(20)*params(1)+y(34)*(1-params(1));
residual(51) = lhs - rhs;
lhs = y(52);
rhs = y(7)*y(11)-y(20);
residual(52) = lhs - rhs;
lhs = y(53);
rhs = y(7)*y(25)-y(34);
residual(53) = lhs - rhs;
lhs = y(54);
rhs = T(1);
residual(54) = lhs - rhs;
lhs = y(55);
rhs = T(5);
residual(55) = lhs - rhs;
lhs = y(56);
rhs = y(16)/y(8);
residual(56) = lhs - rhs;
lhs = y(57);
rhs = y(30)/y(8);
residual(57) = lhs - rhs;
lhs = y(58);
rhs = params(1)*y(56)+(1-params(1))*y(57);
residual(58) = lhs - rhs;
lhs = y(59);
rhs = 1/y(47);
residual(59) = lhs - rhs;
lhs = y(60);
rhs = y(21)*params(1)+y(35)*(1-params(1));
residual(60) = lhs - rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
end
